ATOI(3)

NAME
atoi - convert a string to an integer.

SYNOPSIS
#include <stdlib.h>

int atoi(const char *nptr);

DESCRIPTION
The atoi() function converts the initial portion of the string pointed to by nptr to int. The behaviour is the same as

    strtol(nptr, (char **)NULL, 10);

except that atoi() does not detect errors.

RETURN VALUE
The converted value.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
atof(3), atol(3), strtod(3), strtol(3), strtoul(3)